## RygelDBusInterface

RygelDBusInterface

## Functions

void | rygel_dbus_interface_shutdown ()
void | rygel_dbus_acl_provider_is_allowed ()
gboolean | rygel_dbus_acl_provider_is_allowed_finish ()

## Types and Values

#define | RYGEL_DBUS_INTERFACE_SERVICE_NAME
#define | RYGEL_DBUS_INTERFACE_OBJECT_PATH
| RygelDBusInterface
struct | RygelDBusInterfaceIface
#define | RYGEL_DBUS_ACL_PROVIDER_SERVICE_NAME
#define | RYGEL_DBUS_ACL_PROVIDER_OBJECT_PATH
| RygelDBusAclProvider
struct | RygelDBusAclProviderIface

## Object Hierarchy

        GInterface
        ├── RygelDBusAclProvider
        ╰── RygelDBusInterface

## Prerequisites

RygelDBusInterface requires GObject.

RygelDBusAclProvider requires GObject.

## Description

## Functions

### rygel_dbus_interface_shutdown ()

    void
    rygel_dbus_interface_shutdown (RygelDBusInterface *self,
                                   GError **error);

#### Parameters

self | the RygelDBusInterface instance |
error | location to store the error occuring, or `NULL` to ignore. | [error-domains GIOErrorEnum]

### rygel_dbus_acl_provider_is_allowed ()

    void
    rygel_dbus_acl_provider_is_allowed (RygelDBusAclProvider *self,
                                        GHashTable *device,
                                        GHashTable *service,
                                        const gchar *path,
                                        const gchar *address,
                                        const gchar *agent,
                                        GAsyncReadyCallback _callback_,
                                        gpointer _user_data_);

See also: `rygel_dbus_acl_provider_is_allowed_finish()`

#### Parameters

self | the RygelDBusAclProvider instance |
device |  |
service |  |
path |  |
address |  |
agent |  |
_callback_ | callback to call when the request is satisfied. | [scope async]
_user_data_ | the data to pass to `_callback_` function. | [closure]

### rygel_dbus_acl_provider_is_allowed_finish ()

    gboolean
    rygel_dbus_acl_provider_is_allowed_finish
                                   (RygelDBusAclProvider *self,
                                    GAsyncResult *_res_,
                                    GError **error);

See also: `rygel_dbus_acl_provider_is_allowed()`

#### Parameters

self | the RygelDBusAclProvider instance |
_res_ | a GAsyncResult |
error | location to store the error occuring, or `NULL` to ignore. | [error-domains GDBusError GIOErrorEnum]

## Types and Values

### RYGEL_DBUS_INTERFACE_SERVICE_NAME

    #define RYGEL_DBUS_INTERFACE_SERVICE_NAME "org.gnome.Rygel1"

### RYGEL_DBUS_INTERFACE_OBJECT_PATH

    #define RYGEL_DBUS_INTERFACE_OBJECT_PATH "/org/gnome/Rygel1"

### RygelDBusInterface

    typedef struct _RygelDBusInterface RygelDBusInterface;

### struct RygelDBusInterfaceIface

    struct RygelDBusInterfaceIface {
    	GTypeInterface parent_iface;
    	void (*shutdown) (RygelDBusInterface* self, GError** error);
    };

Interface for creating RygelDBusInterface implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`shutdown` () | virtual method called by `rygel_dbus_interface_shutdown()` |

### RYGEL_DBUS_ACL_PROVIDER_SERVICE_NAME

    #define RYGEL_DBUS_ACL_PROVIDER_SERVICE_NAME "org.gnome.Rygel1.AclProvider1"

### RYGEL_DBUS_ACL_PROVIDER_OBJECT_PATH

    #define RYGEL_DBUS_ACL_PROVIDER_OBJECT_PATH "/org/gnome/Rygel1/AclProvider1"

### RygelDBusAclProvider

    typedef struct _RygelDBusAclProvider RygelDBusAclProvider;

### struct RygelDBusAclProviderIface

    struct RygelDBusAclProviderIface {
    	GTypeInterface parent_iface;
    	void (*is_allowed) (RygelDBusAclProvider* self, GHashTable* device, GHashTable* service, const gchar* path, const gchar* address, const gchar* agent, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	gboolean (*is_allowed_finish) (RygelDBusAclProvider* self, GAsyncResult* _res_, GError** error);
    };

Interface for creating RygelDBusAclProvider implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`is_allowed` () | virtual method called by `rygel_dbus_acl_provider_is_allowed()` |
`is_allowed_finish` () | asynchronous finish function for `is_allowed`, called by `rygel_dbus_acl_provider_is_allowed()` |